Is Virtual Center 4.1 Supported on Windows Server 2008 R2?


KB ID 0000379 Dtd 20/01/11


ES! it is, if in doubt see the compatibility matrix. But you have tried to install it and seen an error?

can only be installed on x64

Error: This product can only be installed on the following 64-bit operating systems: Windows XP SP2 or above Windows Server 2003 Windows Server 2008


Essentially this just a bad error message that bears no resemblance the the actual problem!

The REAL REASON you are seeing this error is because you re trying to install vCenter on a domain controller.

vcente ron domain controller

This happens because, as part of the vCenter 4.1 setup the following takes place,

vcenter directory services VCMSDS

And if the server is a Domain controller, AD LDS cannot be installed. You will notice that if you watch the “Roles” section during the install of vCenter, that a role drops onto the list.

vcenter non domain controller


Final Thoughts

For anyone who thinks “Well Ill put vCenter on first then make the server a domain controller”. That won’t work either, if you try that you will see this error,

ldap port

Error: The TCP ports shown below are required by Active Directory Domain Services, but are already in use on this computer. 389 ldap

To be honest a more descriptive error message would help. (Cheers VMware!). It’s not as if you cant do it…

2008 vcenter

Same thing on Server 2008

Related Articles, References, Credits, or External Links


Author: Migrated

Share This Post On